<script setup lang="ts">
import { useEmployStore } from '@/stores/employee'
import type { StoreExp } from '@/types/StoreExpenses'
import { type Ref, inject, ref } from 'vue'

const props = defineProps<{
  storeExp: StoreExp
}>()
const dialog = ref(false)
const employeeStore = useEmployStore()
</script>

<template>
  <v-icon size="small" color="blue-accent-4" class="me-2" @click="dialog = !dialog">
    mdi-eye-check-outline
  </v-icon>
  <v-dialog v-model="dialog" persistent width="1024">
    <v-card>
      <v-card-text>
        <v-container>
          <v-row>
            <v-col class="text-center" style="font-size: 17px; text-align: left;" cols="12">D-Coffee</v-col>
          </v-row>
          <v-row>
            <v-col class="text-center" style="font-size: 17px; text-align: left;" cols="12">สรุปรายงานค่าใช้จ่าย</v-col>
          </v-row>
          <v-row>
            <v-col class="text-center" style="font-size: 17px; text-align: left;" cols="12">วันที่ {{
    props.storeExp.due_date }}</v-col>
          </v-row>
          <v-row>
            <v-col class="text-left" style="font-size: 17px; text-align: left;" cols="12">สาขา {{
    props.storeExp.branch.name }}</v-col>
          </v-row>
          <v-row>
            <v-col class="text-left" style="font-size: 17px; text-align: left;" cols="12">ค่าน้ำ {{
    props.storeExp.waterBill }}</v-col>
          </v-row>
          <v-row>
            <v-col class="text-left" style="font-size: 17px; text-align: left;" cols="12">ค่าไฟ {{
    props.storeExp.electricBill }}</v-col>
          </v-row>
          <v-row>
            <v-col class="text-left" style="font-size: 17px; text-align: left;" cols="12">รวม {{ props.storeExp.total
              }}</v-col>
          </v-row>
        </v-container>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="blue-darken-1" variant="text" @click="dialog = !dialog"> Close </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<style scoped>
* {
  box-sizing: border-box;
}

body {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: 'Inter', sans-serif;
  background-color: #ededed;
  margin: 0;
}

.storeExp {
  background-color: #fff;
  width: 24rem;
  position: relative;
  padding: 1rem;
  box-shadow: 0 -0.4rem 1rem -0.4rem rgba(0, 0, 0, 0.2);
}

.storeExp:after {
  background-image: linear-gradient(135deg, #fff 0.5rem, transparent 0),
    linear-gradient(-135deg, #fff 0.5rem, transparent 0);
  background-position: left-bottom;
  background-repeat: repeat-x;
  background-size: 1rem;
  content: '';
  display: block;
  position: absolute;
  bottom: -1rem;
  left: 0;
  width: 100%;
  height: 1rem;
}

.storeExp__header {
  text-align: center;
}

.storeExp__sub {
  font-size: 0.7rem;
  color: #666;
  margin: 0.5rem 0 1rem;
}

.storeExp__list {
  margin: 2rem 0 1rem;
  padding: 0 1rem;
}

.storeExp__list-row {
  display: flex;
  justify-content: space-between;
  margin: 1rem 0;
  position: relative;
}

.storeExp__list-row:after {
  content: '';
  display: block;
  border-bottom: 1px dotted rgba(0, 0, 0, 0.15);
  width: 100%;
  height: 100%;
  position: absolute;
  top: -0.25rem;
  z-index: 1;
}

.storeExp__item {
  background-color: #fff;
  z-index: 2;
  padding: 0 0.15rem 0 0;
  color: #1f1f1f;
}

.storeExp__cost {
  margin: 0;
  padding: 0 0 0 0.15rem;
  background-color: #fff;
  z-index: 2;
  color: #1f1f1f;
}

.storeExp__list-row--total {
  border-top: 1px solid #ff619b;
  padding: 1.5rem 0 0;
  margin: 1.5rem 0 0;
  font-weight: 700;
}

.small-font {
  font-size: 11px;
  line-height: 0px;
  text-align: left;
}

.line {
  opacity: 0.5;
  line-height: 0;
}
</style>
